Page MenuHomePhabricator

Add all edited pages by myself to watchlist by default (for new users)
Closed, ResolvedPublic

Description

Hi, cswiki wants to have all edited pages by myself in my watchlist (so check the relevant checkbox by default). Please set it.

Community discussion: https://cs.wikipedia.org/wiki/Wikipedie:Pod_l%C3%ADpou#Defaultn.C3.AD_nastaven.C3.AD_sledovan.C3.BDch_str.C3.A1nek

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix capitalization for change 317387
operations/mediawiki-config : masterFix capitalization for change 317387
operations/mediawiki-config : masterAdd all edited pages by myself to watchlist by default (for new users)

Event Timeline

Urbanecm created this task.Oct 16 2016, 3:52 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 16 2016, 3:52 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald Transcript
Urbanecm triaged this task as Normal priority.Oct 16 2016, 3:56 PM

Change 317387 had a related patch set uploaded (by Urbanecm):
Add all edited pages by myself to watchlist by default (for new users)

https://gerrit.wikimedia.org/r/317387

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Oct 23 2016, 12:52 PM

Change 317387 merged by jenkins-bot:
Add all edited pages by myself to watchlist by default (for new users)

https://gerrit.wikimedia.org/r/317387

Urbanecm closed this task as Resolved.Oct 24 2016, 2:36 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-24T14:36:50Z] <dereckson@mira> Synchronized wmf-config/InitialiseSettings.php: Toggle wgDefaultUserOptions['watchdefault'] on for cs.wikipedia, off elsewhere (T148328, 1/2) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2016-10-24T14:38:19Z] <dereckson@mira> Synchronized wmf-config/CommonSettings.php: Toggle wgDefaultUserOptions['watchdefault'] on for cs.wikipedia, off elsewhere (T148328, 2/2) (duration: 00m 50s)

Change 317523 had a related patch set uploaded (by Arseny1992):
Fix capitalization for change 317387

https://gerrit.wikimedia.org/r/317523

Change 317523 merged by jenkins-bot:
Fix capitalization for change 317387

https://gerrit.wikimedia.org/r/317523

Change 317555 had a related patch set uploaded (by Arseny1992):
Fix capitalization for change 317387

https://gerrit.wikimedia.org/r/317555

Mentioned in SAL (#wikimedia-operations) [2016-10-24T19:10:08Z] <thcipriani@mira> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:317523|Fix capitalization for change 317387 (T148328)]] PART I (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2016-10-24T19:11:21Z] <thcipriani@mira> Synchronized wmf-config/CommonSettings.php: [[gerrit:317523|Fix capitalization for change 317387 (T148328)]] PART II (duration: 00m 50s)

Change 317555 merged by jenkins-bot:
Fix capitalization for change 317387

https://gerrit.wikimedia.org/r/317555

Mentioned in SAL (#wikimedia-operations) [2016-10-24T19:16:29Z] <thcipriani@mira> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:317555|Fix capitalization for change 317387 (T148328)]] (duration: 00m 51s)

Utar added a subscriber: Utar.Oct 25 2016, 12:29 PM

I see in my settings I apparently got hit by this change, too. Several other long time registered users noted at cswiki Help desk they also now have this "all pages I edit go to watchlist" setting activated. They don't seem to like it too much.

This change was agreed upon at cswiki Village pump as "for new user only". Can settings of already registered users be left unchanged, please?

@Utar I'm very sorry but I can change default settings only. But preferences get saved only when you change them. So if you never changed anything in your preferences, you'll be affected by the change too. This applies per setting not per user.

So if you changed number of days displayed in your watchlist for example to 4, you won't be affected by any change of default settings. But if you didn't change this type of setting, you'll inherit the default settings.

Is it clear for you? Also please see https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pod_l%C3%ADpou_(ozn%C3%A1men%C3%AD)&curid=332619&diff=14232634&oldid=14232504 .

(for other users with no knowledge of Czech, I tried to explain the same thing in our Village Pump (news)).

Again, I'm very sorry but I can do nothing with it.

We could theoretically run a script to set the old preference for all approximately 92k users who have edited at least once and didn't explicitly enable it.

How hard will be to run/create it?